<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>

   <extension
         point="org.eclipse.ui.commands">
      <category
            name="TDL"
            id="org.etsi.mts.tdl.tools.to.docx.poi.ui.commands.category">
      </category>
      <command
            categoryId="org.etsi.mts.tdl.tools.to.docx.poi.ui.commands.category"
            id="org.etsi.mts.tdl.tools.to.docx.poi.ui.commands.generateCommand"
            name="Generate Document">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.handlers">
      <handler
            commandId="org.etsi.mts.tdl.tools.to.docx.poi.ui.commands.generateCommand"
            class="org.etsi.mts.tdl.tools.to.docx.poi.ui.handlers.GenerationHandler">
      </handler>
   </extension>
   <extension
      point="org.eclipse.ui.bindings">
      <key
            commandId="org.etsi.mts.tdl.tools.to.docx.poi.ui.commands.generateCommand"
            contextId="org.eclipse.ui.contexts.window"
            sequence="M1+G"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration">
      </key>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            locationURI="menu:org.eclipse.ui.main.menu?after=additions">
         <menu
               label="TDL"
               mnemonic="T"
               id="org.etsi.mts.tdl.tools.menus.TDLMenu">
            <command
                  icon="icons/WordIcon.png"
                  commandId="org.etsi.mts.tdl.tools.to.docx.poi.ui.commands.generateCommand"
                  mnemonic="G"
                  id="org.etsi.mts.tdl.tools.to.docx.poi.ui.menus.generateCommand">
            </command>
         </menu>
      </menuContribution>
      <menuContribution
            locationURI="toolbar:org.eclipse.ui.main.toolbar?after=additions">
         <toolbar
               id="org.etsi.mts.tdl.constraints.ui.toolbars.generate">
            <command
                  commandId="org.etsi.mts.tdl.tools.to.docx.poi.ui.commands.generateCommand"
                  icon="icons/WordIcon.png"
                  tooltip="Generate Document"
                  id="org.etsi.mts.tdl.tools.to.docx.poi.ui.toolbars.generateCommand">
            </command>
         </toolbar>
      </menuContribution>
   </extension>

</plugin>
